LBER_TYPES(3)

NAME
ber_int_t, ber_len_t, ber_tag_t - LBER types

SYNOPSIS
#include <lber.h>

typedef impl_int_t ber_int_t;
typedef impl_len_t ber_len_t;
typedef impl_tag_t ber_tag_t;

DESCRIPTION

The are basic types defined for use with the Lightweight BER library.

ber_int_t is a signed integer of at least 32 bits.

ber_len_t is a unsigned integer of at least 32 bits used to represent a length. It is commonly equivalent to a size_t.

ber_len_t is a unsigned integer of at least 32 bits used to represent a BER tag. It is commonly equivalent to a unsigned long.

SEE ALSO
lber-encode(3) lber-decode(3) lber-memory(3)

ACKNOWLEDGEMENTS
OpenLDAP is developed and maintained by The OpenLDAP Project (http://www.openldap.org/). OpenLDAP is derived from University of Michigan LDAP 3.3 Release.